#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# don't perform "make test"
#
Summary:	Collection of files for checking, reporting, and revoking spam
Summary(pl.UTF-8):	Zbiór plików do sprawdzania, raportowania i odrzucania spamu
Name:		Razor
Version:	2.85
Release:	23
License:	Artistic
Group:		Applications/Mail
Source0:	http://dl.sourceforge.net/razor/razor-agents-%{version}.tar.bz2
# Source0-md5:	014d08db40187cb1316482191566b012
URL:		http://razor.sourceforge.net/
Patch0:		man-build.patch
%if %{with autodeps}
BuildRequires:	perl-Class-Fields
BuildRequires:	perl-Digest-Nilsimsa
BuildRequires:	perl-Digest-SHA1
BuildRequires:	perl-Net-DNS
BuildRequires:	perl-URI
%endif
BuildRequires:	perl-Time-HiRes
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Razor = %{version}-%{release}
Obsoletes:	perl-Vipuls-Razor-V1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Vipul's Razor is a distributed, collaborative, spam detection,
reporting, and filtering network. The primary focus of the system is
to identify and remove all email spam from the internet.

%description -l pl.UTF-8
Vipul's Razor jest dystrybuowalną, tworzoną dzięki współpracy siecią,
służącą do wykrywania spamu, raportowania i filtrowania. Podstawowym
zadaniem systemu jest identyfikacja spamu z poczty internetowej.

%package -n perl-Razor
Summary:	Perl modules for Razor
Summary(pl.UTF-8):	Moduły Perla dla Razora
Group:		Development/Languages/Perl

%description -n perl-Razor
Perl modules for Razor, class Razor2::.

%description -n perl-Razor -l pl.UTF-8
Moduły Perla dla Razora, klasa Razor2::.

%prep
%setup -q -n razor-agents-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} -j1 \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/razor

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/razor-agents/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* BUGS README INSTALL CREDITS
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*

%files -n perl-Razor
%defattr(644,root,root,755)
%dir %{_sysconfdir}/razor
%{perl_vendorarch}/Razor2
%dir %{perl_vendorarch}/auto/Razor2
%dir %{perl_vendorarch}/auto/Razor2/Preproc
%dir %{perl_vendorarch}/auto/Razor2/Preproc/deHTMLxs
%attr(755,root,root) %{perl_vendorarch}/auto/Razor2/Preproc/deHTMLxs/deHTMLxs.so
%{perl_vendorarch}/auto/Razor2/Preproc/deHTMLxs/autosplit.ix
%{perl_vendorarch}/auto/Razor2/Syslog
%{_mandir}/man3/*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/Razor.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> eea05b2
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> e11cf31
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 918bce7
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> e75803e
- rebuild with perl 5.32

* Sun May 03 2020 Marcin Krol <hawk@tld-linux.org> 29ea08c
- pass -j1 to make, fixes occasional build errors

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 4787bd3
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 2ebcaaa
- rebuild with perl 5.30.0
- release 18 (by relup.sh)

* Thu Oct 04 2018 Adam Gołębiowski <adamg@pld-linux.org> 2028fc6
- release 17

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 90c83dd
- rebuild with perl 5.28.0
- release 16 (by relup.sh)

* Wed Aug 29 2018 Marcin Krol <hawk@tld-linux.org> 565b9d6
- release 15

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> f946c92
- perl req/prov fix
- release 14 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 05fb2c7
- rebuild with perl 5.26
- release 13 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> a53e06b
- rebuild with perl 5.24.0
- release 12 (by relup.sh)

* Sun Dec 27 2015 Jan Rękorajski <baggins@pld-linux.org> c5a1e3d
- fix man5 install on perl 5.22
- rel 11

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 9c786f9
- release 10 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 8f49201
- release 9 (by relup.sh)

* Fri Mar 13 2015 Jan Rękorajski <baggins@pld-linux.org> 041f8b6
- release 8 (by relup.sh)

* Sun Sep 14 2014 Jan Rękorajski <baggins@pld-linux.org> 847ee47
- release 7 (by relup.sh)

* Sun Sep 14 2014 Jan Rękorajski <baggins@pld-linux.org> f481966
- removed zero-sized .bs file

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 8e13f4c
- rebuild with perl 5.18.0
- release 6 (by relup.sh)

